Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# EC_Lifetime_Utils_T.h File Reference

`#include "EC_Lifetime_Utils.h"`

Include dependency graph for EC_Lifetime_Utils_T.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_EC_Auto_Command
class | TAO_EC_Servant_Var
class | TAO_EC_Shutdown_Command
## Functions
template<typename T> void | activate (T &obj_ref, PortableServer::POA_ptr poa, PortableServer::ServantBase *servant, TAO_EC_Object_Deactivator &object_deactivator ACE_ENV_ARG_DECL)
| Helper for activating objects. Activates servant with poa and returns the object reference via obj_ref. If object_deactivator != 0, it is populated with info necessary to deactivate the servant from poa.
template<class X, class Y> bool | operator== (TAO_EC_Servant_Var< X > const &x, TAO_EC_Servant_Var< Y > const &y)
| Compare two TAO_EC_Servant_Vars for equivalence.
template<class X, class Y> bool | operator!= (TAO_EC_Servant_Var< X > const &x, TAO_EC_Servant_Var< Y > const &y)
| Compare two TAO_EC_Servant_Vars for non-equivalence.

## Detailed Description

Id:
  EC_Lifetime_Utils_T.h,v 1.3 2003/07/14 19:07:34 jwillemsen Exp

Author:
  Jody Hagins (jody@atdesk.com) , Marina Spivak (marina@atdesk.com)

This file is a temporary place for general CORBA application utility classes. These classes will be moved out from the EC library and into TAO or will be replaced by other TAO classes with similar functionality.

## Function Documentation

template<typename T>
void activate | ( | T & | obj_ref,
|  | PortableServer::POA_ptr | poa,
|  | PortableServer::ServantBase * | servant,
|  | TAO_EC_Object_Deactivator &object_deactivator | ACE_ENV_ARG_DECL
| ) |

| Helper for activating objects. Activates servant with poa and returns the object reference via obj_ref. If object_deactivator != 0, it is populated with info necessary to deactivate the servant from poa.

template<class X, class Y>
bool operator!= | ( | TAO_EC_Servant_Var< X > const & | x,
|  | TAO_EC_Servant_Var< Y > const & | y
| ) |

| Compare two TAO_EC_Servant_Vars for non-equivalence.

template<class X, class Y>
bool operator== | ( | TAO_EC_Servant_Var< X > const & | x,
|  | TAO_EC_Servant_Var< Y > const & | y
| ) |

| Compare two TAO_EC_Servant_Vars for equivalence.